Get Document URL
curl --request GET \
--url https://api.sandbox.metriport.com/medical/v1/document/download-url \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sandbox.metriport.com/medical/v1/document/download-url"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sandbox.metriport.com/medical/v1/document/download-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const downloadableUrl = await metriport.getDocumentUrl(
"abc123-def456"
);
Document
Get Document URL
Gets a downloadable URL for downloading the specified document.
GET
/
medical
/
v1
/
document
/
download-url
Get Document URL
This endpoint returns a URL which you can use to download the specified document and/or convert
using the file name provided from the List Documents endpoint,
or from the
meta.source field of the FHIR resource you are interested in.
The URL will only be valid for 60 seconds before you need
to request a new one.
Query Params
string
required
The file name of the document. You can get this from the
meta.source attribute
of any FHIR resource.
string
The document type to convert to. Either
html or pdf.This parameter should only be used for converting XML/CDA files.
Response
A JSON object containing the URL will be returned.string
The downloadable URL.
For patients with a large volume of documents, you can use
the Bulk Get Document URL
endpoint
to get all download URLs instead of doing it one at a
time.
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const downloadableUrl = await metriport.getDocumentUrl(
"abc123-def456"
);
⌘I

